# Control Box (Arrangement)

(PHP 7, UI 0.9.9)

## Introduction

A Box allows the arrangement of other controls

## Class synopsis

UI\Controls\Box extends UI\Control {
/* Constants */
const integer Vertical ;
const integer Horizontal ;
/* Properties */
protected $controls ;
/* Constructor */
public __construct ([ int `$orientation` = UI\Controls\Box::Horizontal ] )
/* Methods */
public append ( Control `$control` [, bool `$stretchy` = `FALSE` ] ) : int
public delete ( int `$index` ) : bool
public getOrientation ( void ) : int
public isPadded ( void ) : bool
public setPadded ( bool `$padded` )
/* Inherited methods */
public UI\Control::destroy ( void )
public UI\Control::disable ( void )
public UI\Control::enable ( void )
public UI\Control::getParent ( void ) : UI\Control
public UI\Control::getTopLevel ( void ) : int
public UI\Control::hide ( void )
public UI\Control::isEnabled ( void ) : bool
public UI\Control::isVisible ( void ) : bool
public UI\Control::setParent ( UI\Control `$parent` )
public UI\Control::show ( void )
}

## Properties

controls

  Contains controls, should not be manipulated directly

## Predefined Constants

`UI\Controls\Box::Vertical`

`UI\Controls\Box::Horizontal`

## Table of Contents

- UI\Controls\Box::append — Append Control
- UI\Controls\Box::__construct — Construct a new Box
- UI\Controls\Box::delete — Delete Control
- UI\Controls\Box::getOrientation — Get Orientation
- UI\Controls\Box::isPadded — Padding Detection
- UI\Controls\Box::setPadded — Set Padding